Skip to content

Webhooks

Receive Marsial events at your HTTPS endpoint.

GET/v1/webhook-endpoint

Response 200

data
  • urlstring (uri)required
  • eventsstring[]required
  • createdAtstring (date-time)required
  • updatedAtstring (date-time)required
Terminal window
curl "https://api.marsial.dev/v1/webhook-endpoint" \
-H "Authorization: Bearer $MARSIAL_API_KEY"
PUT/v1/webhook-endpoint

Omit events to receive all of them. The signing secret is returned only the first time.

Body

  • urlstring (starts_with)required
  • eventsstring[]

Response 200

data
  • endpointobjectrequired
    endpoint
    • urlstring (uri)required
    • eventsstring[]required
    • createdAtstring (date-time)required
    • updatedAtstring (date-time)required
  • secretstring

    Signing secret, returned only when the endpoint is created.

Terminal window
curl -X PUT "https://api.marsial.dev/v1/webhook-endpoint" \
-H "Authorization: Bearer $MARSIAL_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"url": "https://app.acme.com/webhooks/marsial"
}'
DELETE/v1/webhook-endpoint

Response 204

No content

Terminal window
curl -X DELETE "https://api.marsial.dev/v1/webhook-endpoint" \
-H "Authorization: Bearer $MARSIAL_API_KEY"
POST/v1/webhook-endpoint/test

Sends the endpoint a sample of the event with test: true and made-up ids, signed and retried like a real one. The endpoint must be subscribed to it.

Body

  • typestringrequired

    The event to send a sample of.

Response 202

data
  • idstringrequired

    evt_… of the sample.

  • typestringrequired
Terminal window
curl -X POST "https://api.marsial.dev/v1/webhook-endpoint/test" \
-H "Authorization: Bearer $MARSIAL_API_KEY"

© 2026 Marsial by TWOFACES ·marsial.dev ·Dashboard ·soporte@twofacesco.com